Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2577 - kaudioserver core dumps
Summary: kaudioserver core dumps
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-05 20:38 UTC by gerald
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-23 15:41:51 UTC


Attachments (Terms of Use)

Description gerald 1999-05-05 20:38:51 UTC
Recompiling kaudioserver from the source from ftp.kde.org
fixes the problem.

Comment 1 Brian Ryner 1999-06-27 16:04:59 UTC
I have a patch from the KDE mailing list that fixes this problem:

--- kdebase-1.1.1/kaudio/kaudioserver.cpp.orig  Sat Jun 26 01:30:03
1999
+++ kdebase-1.1.1/kaudio/kaudioserver.cpp       Sat Jun 26 01:30:09
1999
@@ -96,6 +96,7 @@
     // Disconnect for cleanup
     MdDisconnect(&m);
     // Kill the child process (maudio)
+    signal(SIGCHLD, SIG_DFL);
     kill(maudioPID, SIGKILL);
   }
   else

Comment 2 Brian Ryner 1999-07-08 00:26:59 UTC
As of 6/22, this change is now in the KDE CVS repository.

Comment 3 Preston Brown 1999-09-23 15:41:59 UTC
this has been fixed for the next release.


Note You need to log in before you can comment on or make changes to this bug.